Bug 145218 - new package: Hylafax
new package: Hylafax
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marius Andreiana
: FutureFeature
Depends On: 145303
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 10:06 EST by Marius Andreiana
Modified: 2013-01-09 22:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 14:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch for fedora compatibility (1.17 KB, patch)
2005-01-15 11:10 EST, Michael Schwendt
no flags Details | Diff
patch for malloc mistake (761 bytes, patch)
2005-01-15 11:10 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Marius Andreiana 2005-01-15 10:06:40 EST
Please add new package: Hylafax 4.2.1 
I'll try to do it, based on 4.2.0 source rpm from hylafax.org
Comment 1 Marius Andreiana 2005-01-15 10:14:53 EST
This requires metamail, which isn't in core/extras, and doesn't
compile in FC3 using srpm from
ftp://ftp.hylafax.org/binary/linux/redhat/SRPMS/metamail-2.7-29.src.rpm

shared.c:14: error: conflicting types for 'malloc'
Comment 2 Michael Schwendt 2005-01-15 11:10:29 EST
Created attachment 109818 [details]
spec patch for fedora compatibility

metamail has had several security vulnerabilities, some of which were fixed by
Fedora Legacy. You better base your package on their src.rpm,

http://download.fedoralegacy.org/redhat/7.3/updates/SRPMS/metamail-2.7-29.7.x.legacy.src.rpm


and apply something like attached patch to fix the spec for Fedora. Else it
would fail to build.
Comment 3 Michael Schwendt 2005-01-15 11:10:56 EST
Created attachment 109819 [details]
patch for malloc mistake
Comment 4 Marius Andreiana 2005-01-17 03:14:32 EST
THanks Michael, opened bug 145303 with metamail. After that is in fc3
extras I'll continue on hylafax
Comment 5 Christoph Wickert 2006-04-11 18:17:16 EDT
Marius, are you still interested in this package? We have a new review request,
so I'm going to close this one duplicate of bug #188542 if I don't hear anything
from you.
Comment 6 Christoph Wickert 2006-05-05 14:16:22 EDT
No reply, closing.

Note You need to log in before you can comment on or make changes to this bug.